import { ComponentProps } from "react";

type Props = ComponentProps<"svg">;

const ClockIcon = ({ ...props }: Props) => {
    return (
        <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
            <path d="M8 15.226C11.8623 15.226 15.0615 12.0336 15.0615 8.16446C15.0615 4.30216 11.8623 1.10294 7.99316 1.10294C4.13086 1.10294 0.938477 4.30216 0.938477 8.16446C0.938477 12.0336 4.1377 15.226 8 15.226ZM8 13.8383C4.85547 13.8383 2.33301 11.309 2.33301 8.16446C2.33301 5.01993 4.84863 2.49747 7.99316 2.49747C11.1377 2.49747 13.6738 5.01993 13.6738 8.16446C13.6738 11.309 11.1445 13.8383 8 13.8383ZM4.54102 9.01212H7.99316C8.30078 9.01212 8.54004 8.77286 8.54004 8.47208V3.98771C8.54004 3.68692 8.30078 3.44767 7.99316 3.44767C7.69238 3.44767 7.45312 3.68692 7.45312 3.98771V7.93204H4.54102C4.2334 7.93204 4.00098 8.16446 4.00098 8.47208C4.00098 8.77286 4.2334 9.01212 4.54102 9.01212Z" fill="#37352F" fillOpacity="0.45" />
        </svg>

    )
}

export default ClockIcon